Summary: GNU Octave -- a high-level language for numerical computations
Name: octave
Version: 2.0.13.90
Release: 1
Copyright: GPL
Group: Applications/Math
Source: ftp://ftp.che.wisc.edu/pub/octave/octave-2.0.13.tar.gz
Patch0: octave-2.0.13-2.0.13.90.patch.gz
Patch1: octave-2.0.13.90-jbj.patch
URL: http://www.che.wisc.edu/octave
Requires: gnuplot
Prefix: /usr
BuildRoot: /var/tmp/octave-root

%description
GNU Octave is a high-level language, primarily intended for numerical
computations. It provides a convenient command line interface for
solving linear and nonlinear problems numerically, and for performing
other numerical experiments using a language that is mostly compatible
with Matlab. It may also be used as a batch-oriented language.

Octave has extensive tools for solving common numerical linear algebra
problems, finding the roots of nonlinear equations, integrating
ordinary functions, manipulating polynomials, and integrating ordinary
differential and differential-algebraic equations. It is easily
extensible and customizable via user-defined functions written in
Octave's own language, or using dynamically loaded modules written in
C++, C, Fortran, or other languages.

%prep
%setup -q -n octave-2.0.13
%patch0 -p1
%patch1 -p1 -b .jbj

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
    --with-g77 --enable-dl --enable-shared --enable-rpath --enable-lite-kernel \
    --enable-picky-flags \
    $RPM_ARCH-redhat-linux
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install

gzip -9nf $RPM_BUILD_ROOT/usr/info/octave.*

%clean
rm -rf $RPM_BUILD_ROOT

%post
ldconfig
/sbin/install-info --info-dir=/usr/info --section="Programming:" --entry="* Octave:(octave).		Interactive language for numerical computations." /usr/info/octave.info.gz

%preun
if [ "$1" = "0" ]; then
   /sbin/install-info --delete --info-dir=/usr/info /usr/info/octave.info.gz
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc BUGS COPYING NEWS* PROJECTS README README.Linux ChangeLog* ROADMAP SENDING-PATCHES THANKS
%doc doc/faq doc/liboctave doc/refcard emacs examples

/usr/bin/mkoctfile
/usr/bin/octave*

/usr/lib/octave*

/usr/include/octave*

/usr/share/octave

/usr/libexec/octave

/usr/man/man1/octave.1

/usr/info/octave.info*

%changelog
* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.0.13.90

* Thu Jul  9 1998 Jeff Johnson <jbj@redhat.com>
- repackage in powertools.

* Thu Jun 11 1998 Andrew Veliath <andrewtv@usa.net>
- Add %attr, build as user.

* Mon Jun 1 1998 Andrew Veliath <andrewtv@usa.net>
- Add BuildRoot, installinfo, require gnuplot, description from
  Octave's web page, update to Octave 2.0.13.
- Adapt from existing spec file.

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- removed libreadline stuff from the file list

* Mon Nov 24 1997 Otto Hammersmith <otto@redhat.com>
- changed configure command to put things in $RPM_ARCH-rehat-linux, 
  rather than genereated one... was causing problems between building 
  on i686 build machine.

* Mon Nov 17 1997 Otto Hammersmith <otto@redhat.com>
- moved buildroot from /tmp to /var/tmp

* Mon Sep 22 1997 Mike Wangsmo <wanger@redhat.com>
- Upgraded to version 2.0.9 and built for glibc system

* Thu May 01 1997 Michael Fulbright <msf@redhat.com>
- Updated to version 2.0.5 and changed to build using a BuildRoot
